"""empty message

Revision ID: 5b26e1e34405
Revises: 8d0999672a2c
Create Date: 2025-02-28 12:58:26.272652

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '5b26e1e34405'
down_revision = '8d0999672a2c'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('etud_annotations', schema=None) as batch_op:
        batch_op.add_column(sa.Column('confidentiel', sa.Boolean(), nullable=True))
        batch_op.drop_column('visibility')

    with op.batch_alter_table('identite', schema=None) as batch_op:
        batch_op.drop_index('unique_dept_ine_except_null', postgresql_where='(code_ine IS NOT NULL)')
        batch_op.create_unique_constraint('unique_dept_ine_except_null', ['dept_id', 'code_ine'])
        batch_op.drop_constraint('unique_dept_nip_except_null', type_='unique')
        batch_op.create_index('unique_dept_nip_except_null', ['dept_id', 'code_nip'], unique=True, postgresql_where=sa.text('code_nip IS NOT NULL'))

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('identite', schema=None) as batch_op:
        batch_op.drop_index('unique_dept_nip_except_null', postgresql_where=sa.text('code_nip IS NOT NULL'))
        batch_op.create_unique_constraint('unique_dept_nip_except_null', ['dept_id', 'code_nip'])
        batch_op.drop_constraint('unique_dept_ine_except_null', type_='unique')
        batch_op.create_index('unique_dept_ine_except_null', ['dept_id', 'code_ine'], unique=True, postgresql_where='(code_ine IS NOT NULL)')

    with op.batch_alter_table('etud_annotations', schema=None) as batch_op:
        batch_op.add_column(sa.Column('visibility', sa.BOOLEAN(), autoincrement=False, nullable=True))
        batch_op.drop_column('confidentiel')

    # ### end Alembic commands ###
